# -*- encoding: utf-8 -*-
"""
Copyright (c) 2019 - present AppSeed.us
"""

import os
from decouple import config
from unipath import Path
import dj_database_url
from django.core.management.utils import get_random_secret_key

SECRET_KEY = get_random_secret_key()

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = Path(__file__).parent
CORE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

# SECURITY WARNING: keep the secret key used in production secret!
# SECRET_KEY = config('SECRET_KEY', default='S#perS3crEt_1122')

# SECURITY WARNING: don't run with debug turned on in production!
# DEBUG = config('DEBUG', default=True, cast=bool)
# DEVEL = config('DEVEL', default=True, cast=bool)
DEVEL = False
DEBUG = False
SECURE_SSL_REDIRECT = True
# load production server from .env
ALLOWED_HOSTS = ['stockapp.createdz.com','www.stockapp.createdz.com', config('SERVER', default='127.0.0.1')]

# Application definition
DEFAULT_AUTO_FIELD = 'django.db.models.BigAutoField'

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'app',  # Enable the inner app
    'customers',
    'clients',
    'organisation',
    'articles',
    'infosachats',
    'infosventes',
    'lots',
    'commandes',
    'articlescommandee',
    'factures',
    'paiements',
    'colis',
    'detailscolis',
    'livraison',
    'historiquearticles',
    'articlescommandeefactures',
    'ajustementsstocks',
    'retours',
    'avisreceptions',
    'facturesdavoir',
    'remboursements',
    'detailsretour',
    'my_app',   
    'fournisseurs',
    'avisderecu',
    'detailsavisderecu',
    'historiques',
    'groupspaiements',
    'detailavisderecepetions',
    'detailsgroupspaiement',
    'detailretourfactures',
    'facturesdavoirfournisseurs',
    'detailsfacturedavoirfournisseurs',
    'dashboard' ,
    'detailsajustement','authentication' , 'whitenoise'

]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'whitenoise.middleware.WhiteNoiseMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'core.urls'
LOGIN_REDIRECT_URL = "home"   # Route defined in app/urls.py
LOGOUT_REDIRECT_URL = "home"  # Route defined in app/urls.py
TEMPLATE_DIR = os.path.join(CORE_DIR, "core/templates")  # ROOT dir for templates

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [TEMPLATE_DIR],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],'libraries':{
            'auth_extras': 'core.templatetags.auth_extras',
            
            }
        },
    },
]

WSGI_APPLICATION = 'core.wsgi.application'

# Database
# https://docs.djangoproject.com/en/3.0/ref/settings/#databases

DATABASES = {
 'default': {
         'ENGINE': 'django.db.backends.mysql',
         'NAME': 'ehyzubxj_gst_stock',
         'USER': 'ehyzubxj_gst_stock',
         'PASSWORD': 'qm6fU==fU;AAUi?ffi',
         'HOST': '127.0.0.1',
         'PORT': '3306',
         'OPTIONS': {
            'init_command': 'SET innodb_strict_mode=1',
             'sql_mode': 'traditional',
         }
     }
 }
# Password validation
# https://docs.djangoproject.com/en/3.0/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/3.0/topics/i18n/

LANGUAGE_CODE = 'fr'

TIME_ZONE = 'Africa/Algiers'

USE_I18N =  False
USE_L10N =  False

USE_TZ =  False

#############################################################
# SRC: https://devcenter.heroku.com/articles/django-assets

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/1.9/howto/static-files/
STATIC_ROOT = os.path.join(CORE_DIR, 'staticfiles')
MEDIA_ROOT = os.path.join(CORE_DIR, 'media')
STATIC_URL = '/static/'
MEDIA_URL = '/media/'

# Extra places for collectstatic to find static files.
STATICFILES_DIRS = (
    os.path.join(CORE_DIR, 'core/static'),
)
#############################################################
#############################################################
